Bug 731381 - [abrt] alsa-utils-1.0.24.1-3.fc15: __list_add: Process /usr/bin/alsamixer was killed by signal 11 (SIGSEGV)
Summary: [abrt] alsa-utils-1.0.24.1-3.fc15: __list_add: Process /usr/bin/alsamixer was...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-utils
Version: 16
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2811a8ad2e8d287aa693aeb85fb...
: 692278 719712 725749 739030 743268 748084 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 13:16 UTC by Jurgen Kramer
Modified: 2012-03-07 10:04 UTC (History)
27 users (show)

Fixed In Version: alsa-utils-1.0.24.1-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-05 01:23:39 UTC


Attachments (Terms of Use)

Description Jurgen Kramer 2011-08-17 13:16:56 UTC
abrt version: 2.0.5
backtrace_rating: 4
cmdline:        alsamixer
comment:        start alsamixer from terminal
crash_function: __list_add
executable:     /usr/bin/alsamixer
kernel:         3.0.1-3.fc16.x86_64
reason:         Process /usr/bin/alsamixer was killed by signal 11 (SIGSEGV)
time:           Wed Aug 17 15:16:05 2011
uid:            1000
username:       kramer

backtrace:
:[New LWP 1799]
:[New LWP 1800]
:[Thread debugging using libthread_db enabled]
:Using host libthread_db library "/lib64/libthread_db.so.1".
:Core was generated by `alsamixer'.
:Program terminated with signal 11, Segmentation fault.
:#0  __list_add (next=0xdc5000, prev=0xdc54c8, _new=0xdc54c8) at ../../include/list.h:46
:46	../../include/list.h: No such file or directory.
:	in ../../include/list.h
:
:Thread 2 (Thread 0x7f76edde1700 (LWP 1800)):
:#0  0x00007f76fbb6fce3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x00007f76f4e3308f in poll_func (ufds=0x7f76e8001460, nfds=2, timeout=-1, userdata=0xddd890) at pulse/thread-mainloop.c:75
:        mutex = 0xddd890
:        r = <optimized out>
:#2  0x00007f76f4e24f06 in pa_mainloop_poll (m=0xddd950) at pulse/mainloop.c:879
:        __func__ = "pa_mainloop_poll"
:        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
:#3  0x00007f76f4e25539 in pa_mainloop_iterate (m=0xddd950, block=<optimized out>, retval=0x0) at pulse/mainloop.c:961
:        r = <optimized out>
:        __func__ = "pa_mainloop_iterate"
:        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
:#4  0x00007f76f4e255f0 in pa_mainloop_run (m=0xddd950, retval=0x0) at pulse/mainloop.c:979
:        r = <optimized out>
:#5  0x00007f76f4e3303f in thread (userdata=0xddd910) at pulse/thread-mainloop.c:94
:        m = 0xddd910
:        mask = {__val = {18446744067267100671, 18446744073709551615 <repeats 15 times>}}
:#6  0x00007f76f4befbe8 in internal_thread_func (userdata=0xdc5040) at pulsecore/thread-posix.c:83
:        t = 0xdc5040
:#7  0x00007f76fbe44d11 in start_thread (arg=0x7f76edde1700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f76edde1700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -2216138376900713274, 140149008949152, 140148773624256, 0, 3, 2293293593027732678, 2293253789485556934}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:        __PRETTY_FUNCTION__ = "start_thread"
:#8  0x00007f76fbb787dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7f76fd44c720 (LWP 1799)):
:#0  __list_add (next=0xdc5000, prev=0xdc54c8, _new=0xdc54c8) at ../../include/list.h:46
:No locals.
:#1  list_add_tail (head=0xdc5000, _new=0xdc54c8) at ../../include/list.h:72
:No locals.
:#2  snd_mixer_attach_hctl (mixer=0xdc5000, hctl=0xdd4d10) at mixer.c:238
:        slave = 0xdc54c0
:        err = <optimized out>
:        __PRETTY_FUNCTION__ = "snd_mixer_attach_hctl"
:#3  0x00007f76fc528710 in snd_mixer_attach (mixer=0xdc5000, name=<optimized out>) at mixer.c:206
:        hctl = 0xdd4d10
:        err = 0
:#4  0x00007f76fc529926 in snd_mixer_selem_register (mixer=0xdc5000, options=0x60f860, classp=<optimized out>) at simple.c:69
:        err = <optimized out>
:#5  0x0000000000408dcc in create_mixer_object (selem_regopt=0x60f860) at mixer_widget.c:87
:        err = 0
:#6  0x0000000000404316 in main (argc=1, argv=0x7fff5c3d9e58) at cli.c:125
:No locals.
:From                To                  Syms Read   Shared Object Library
:0x00007f76fd038a50  0x00007f76fd041028  Yes         /usr/lib64/libformw.so.5
:0x00007f76fce2f110  0x00007f76fce32ac8  Yes         /usr/lib64/libmenuw.so.5
:0x00007f76fcc299b0  0x00007f76fcc2af28  Yes         /usr/lib64/libpanelw.so.5
:0x00007f76fca01550  0x00007f76fca21e28  Yes         /lib64/libncursesw.so.5
:0x00007f76fc7dec30  0x00007f76fc7e8d98  Yes         /lib64/libtinfo.so.5
:0x00007f76fc50f550  0x00007f76fc59465c  Yes         /lib64/libasound.so.2
:0x00007f76fc260ef0  0x00007f76fc2a0ee8  Yes         /lib64/libm.so.6
:0x00007f76fc059de0  0x00007f76fc05a918  Yes         /lib64/libdl.so.2
:0x00007f76fbe426b0  0x00007f76fbe4daf8  Yes         /lib64/libpthread.so.0
:0x00007f76fbaacd30  0x00007f76fbbe1f60  Yes         /lib64/libc.so.6
:0x00007f76fb8881b0  0x00007f76fb88b5c8  Yes         /lib64/librt.so.1
:0x00007f76fb6738a0  0x00007f76fb6830b8  Yes         /lib64/libgcc_s.so.1
:0x00007f76fd245b20  0x00007f76fd25eeda  Yes         /lib64/ld-linux-x86-64.so.2
:0x00007f76f504abd0  0x00007f76f504cabc  Yes         /usr/lib64/alsa-lib/libasound_module_ctl_pulse.so
:0x00007f76f4e11f00  0x00007f76f4e39248  Yes         /usr/lib64/libpulse.so.0
:0x00007f76f4bc66e0  0x00007f76f4bf1d68  Yes         /usr/lib64/libpulsecommon-0.9.23.so
:0x00007f76f49b64e0  0x00007f76f49b660c  Yes         /usr/lib64/libX11-xcb.so.1
:0x00007f76f4695ce0  0x00007f76f47217ec  Yes         /usr/lib64/libX11.so.6
:0x00007f76f44656c0  0x00007f76f4470c0c  Yes         /usr/lib64/libxcb.so.1
:0x00007f76f4257ad0  0x00007f76f425bd7c  Yes         /usr/lib64/libSM.so.6
:0x00007f76f403fd00  0x00007f76f404de1c  Yes         /usr/lib64/libICE.so.6
:0x00007f76f3e36380  0x00007f76f3e392dc  Yes         /usr/lib64/libXtst.so.6
:0x00007f76f3c2df90  0x00007f76f3c31b2c  Yes         /lib64/libwrap.so.0
:0x00007f76f39ca1c0  0x00007f76f3a0c518  Yes         /usr/lib64/libsndfile.so.1
:0x00007f76f37c01c0  0x00007f76f37c26cc  Yes         /usr/lib64/libasyncns.so.0
:0x00007f76f35826b0  0x00007f76f35ab6cc  Yes         /lib64/libdbus-1.so.3
:0x00007f76f3378dd0  0x00007f76f3379b2c  Yes         /usr/lib64/libXau.so.6
:0x00007f76f3174520  0x00007f76f3175b18  Yes         /lib64/libuuid.so.1
:0x00007f76f2f64460  0x00007f76f2f6f31c  Yes         /usr/lib64/libXext.so.6
:0x00007f76f2d53f00  0x00007f76f2d5e57c  Yes         /usr/lib64/libXi.so.6
:0x00007f76f2b3c040  0x00007f76f2b49868  Yes         /lib64/libnsl.so.1
:0x00007f76f2909e70  0x00007f76f292ee08  Yes         /usr/lib64/libFLAC.so.8
:0x00007f76f24439c0  0x00007f76f2445fac  Yes         /usr/lib64/libvorbisenc.so.2
:0x00007f76f2207700  0x00007f76f221e6ac  Yes         /usr/lib64/libvorbis.so.0
:0x00007f76f1fff8d0  0x00007f76f2001f7c  Yes         /usr/lib64/libogg.so.0
:0x00007f76f1de6890  0x00007f76f1df68c8  Yes         /lib64/libresolv.so.2
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0x6c61636f6c2f6572	7809632559044715890
:rbx            0xdd4d10	14503184
:rcx            0x7f76fbe381e8	140149008859624
:rdx            0xdc54c8	14439624
:rsi            0xdc5000	14438400
:rdi            0xdd4d10	14503184
:rbp            0xdc54c0	0xdc54c0
:rsp            0x7fff5c3d9cc0	0x7fff5c3d9cc0
:r8             0xdd4f60	14503776
:r9             0x7f76f504bdc0	140148893597120
:r10            0x7fff5c3d9a50	140734740929104
:r11            0x7f76fc51dbb0	140149016091568
:r12            0xdc5000	14438400
:r13            0x0	0
:r14            0x0	0
:r15            0x0	0
:rip            0x7f76fc52867d	0x7f76fc52867d <snd_mixer_attach_hctl+141>
:eflags         0x10206	[ PF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function snd_mixer_attach_hctl:
:   0x00007f76fc5285f0 <+0>:	mov    %rbx,-0x20(%rsp)
:   0x00007f76fc5285f5 <+5>:	mov    %r12,-0x10(%rsp)
:   0x00007f76fc5285fa <+10>:	mov    %rsi,%rbx
:   0x00007f76fc5285fd <+13>:	mov    %rbp,-0x18(%rsp)
:   0x00007f76fc528602 <+18>:	mov    %r13,-0x8(%rsp)
:   0x00007f76fc528607 <+23>:	sub    $0x28,%rsp
:   0x00007f76fc52860b <+27>:	test   %rsi,%rsi
:   0x00007f76fc52860e <+30>:	mov    %rdi,%r12
:   0x00007f76fc528611 <+33>:	je     0x7f76fc5286c0 <snd_mixer_attach_hctl+208>
:   0x00007f76fc528617 <+39>:	mov    $0x18,%esi
:   0x00007f76fc52861c <+44>:	mov    $0x1,%edi
:   0x00007f76fc528621 <+49>:	callq  0x7f76fc50eb30 <calloc@plt>
:   0x00007f76fc528626 <+54>:	test   %rax,%rax
:   0x00007f76fc528629 <+57>:	mov    %rax,%rbp
:   0x00007f76fc52862c <+60>:	je     0x7f76fc5286b8 <snd_mixer_attach_hctl+200>
:   0x00007f76fc528632 <+66>:	mov    $0x1,%esi
:   0x00007f76fc528637 <+71>:	mov    %rbx,%rdi
:   0x00007f76fc52863a <+74>:	callq  0x7f76fc50e710 <snd_hctl_nonblock@plt>
:   0x00007f76fc52863f <+79>:	test   %eax,%eax
:   0x00007f76fc528641 <+81>:	mov    %eax,%r13d
:   0x00007f76fc528644 <+84>:	js     0x7f76fc5286a0 <snd_mixer_attach_hctl+176>
:   0x00007f76fc528646 <+86>:	lea    -0x53d(%rip),%rsi        # 0x7f76fc528110 <hctl_event_handler>
:   0x00007f76fc52864d <+93>:	mov    %rbx,%rdi
:   0x00007f76fc528650 <+96>:	xor    %r13d,%r13d
:   0x00007f76fc528653 <+99>:	callq  0x7f76fc50e050 <snd_hctl_set_callback@plt>
:   0x00007f76fc528658 <+104>:	mov    %r12,%rsi
:   0x00007f76fc52865b <+107>:	mov    %rbx,%rdi
:   0x00007f76fc52865e <+110>:	callq  0x7f76fc50cc30 <snd_hctl_set_callback_private@plt>
:   0x00007f76fc528663 <+115>:	mov    0x8(%r12),%rax
:   0x00007f76fc528668 <+120>:	lea    0x8(%rbp),%rdx
:   0x00007f76fc52866c <+124>:	mov    %rbx,0x0(%rbp)
:   0x00007f76fc528670 <+128>:	mov    %r12,0x8(%rbp)
:   0x00007f76fc528674 <+132>:	mov    %rdx,0x8(%r12)
:   0x00007f76fc528679 <+137>:	mov    %rax,0x10(%rbp)
:=> 0x00007f76fc52867d <+141>:	mov    %rdx,(%rax)
:   0x00007f76fc528680 <+144>:	mov    %r13d,%eax
:   0x00007f76fc528683 <+147>:	mov    0x8(%rsp),%rbx
:   0x00007f76fc528688 <+152>:	mov    0x10(%rsp),%rbp
:   0x00007f76fc52868d <+157>:	mov    0x18(%rsp),%r12
:   0x00007f76fc528692 <+162>:	mov    0x20(%rsp),%r13
:   0x00007f76fc528697 <+167>:	add    $0x28,%rsp
:   0x00007f76fc52869b <+171>:	retq   
:   0x00007f76fc52869c <+172>:	nopl   0x0(%rax)
:   0x00007f76fc5286a0 <+176>:	mov    %rbx,%rdi
:   0x00007f76fc5286a3 <+179>:	callq  0x7f76fc50e360 <snd_hctl_close@plt>
:   0x00007f76fc5286a8 <+184>:	mov    %rbp,%rdi
:   0x00007f76fc5286ab <+187>:	callq  0x7f76fc50d7a0 <free@plt>
:   0x00007f76fc5286b0 <+192>:	jmp    0x7f76fc528680 <snd_mixer_attach_hctl+144>
:   0x00007f76fc5286b2 <+194>:	nopw   0x0(%rax,%rax,1)
:   0x00007f76fc5286b8 <+200>:	mov    $0xfffffff4,%r13d
:   0x00007f76fc5286be <+206>:	jmp    0x7f76fc528680 <snd_mixer_attach_hctl+144>
:   0x00007f76fc5286c0 <+208>:	lea    0x70de9(%rip),%rcx        # 0x7f76fc5994b0 <__PRETTY_FUNCTION__.9661>
:   0x00007f76fc5286c7 <+215>:	lea    0x70c99(%rip),%rsi        # 0x7f76fc599367
:   0x00007f76fc5286ce <+222>:	lea    0x6e320(%rip),%rdi        # 0x7f76fc5969f5
:   0x00007f76fc5286d5 <+229>:	mov    $0xe1,%edx
:   0x00007f76fc5286da <+234>:	callq  0x7f76fc50cdf0 <__assert_fail@plt>
:End of assembler dump.

build_ids:
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:c661dd361a049ff3d515b8cdd188483b6096eab5
:22fcd30239c84ed7b18f5b9a34c2629f7a8fc4aa
:49a5c6d4e4db5066266ee3c801a61846352da742
:570ad7441f7cf6673c5608caf97936e17a8c002e
:3e113d18232e9368a3d33d061ee14e221202b1cc
:d0c6e13f00a20952a72a945c929efb175fd760e3
:7ddde233293b60ff6de1dabd78d95aa43e47fc23
:18c5d7550285492ad7cbe0246228937e895c0766
:7736285a9d7606379bd0145646e9974d1221616b
:8df361dd0febad53e9dfa995ad054c7d210d3fdc
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:f417b25f83a1b878b1a8965478a7eecf0344eaca
:25b834f4c4dc534708635ff1064e2fe02a366a62
:39a9d7e5a7c16008e1a436b07c3b4572a8ad8864
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:16cd4f049ae10dc8c27c8d9a1c933189f74cc837
:84c10b99d5e313e2da4f265437eb20d9d15f0470
:0543b317f1d0fc797d954b34de27d2d2ad23e1d3
:f4a8746bdce81a5832071025756151f69ae8e122
:cc32e70895d23acd7bde1ef1a3286b5e179e2d49
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:0faa8534fcab1fb3f3978080ebc2081af01110ae
:4c842320387ff7f6f91b7842b223c16518be909f
:c1f034e216940c41dbe23880c3400ef9cffae35d
:a1f4d8b492ed6e048ab0d761ae0f32f541f82a89
:b5a943f315b2d05a1aa13213035026dd24acbf05
:e66a972944c1d36b9f9fadd93a5a6209f2301455
:91689252818532ec13597b6528d38be93b2706c4
:b6b453f8faf245dd8f2a8b0054f5126afc110b0c
:90d054ca7d1579bcc68ba290effe49e6f2188847
:652978274d9edf0accf8057af35746fe32ca8b1c
:b092238efe70555aea56f2dd242b7c0fe06d29b6
:3cbc639da8b05f5cd87202ff77c5c335313d3276
:2b7dd2945c33cb04d8e7e20e658978f18fd8b491

dso_list:
:/usr/lib64/libformw.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1313583264
:/lib64/libm-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1313583259
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1313583284
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1313583281
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1313583536
:/usr/lib64/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1313583281
:/lib64/libresolv-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1313583259
:/usr/lib64/libpanelw.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1313583264
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1313583536
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.x86_64 (Fedora Project) 1313583541
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1313583273
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1313583272
:/lib64/libpthread-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1313583259
:/usr/lib64/libpulse.so.0.12.4 pulseaudio-libs-0.9.23-1.fc16.x86_64 (Fedora Project) 1313585832
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-4.x86_64 (Fedora Project) 1313583259
:/lib64/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-64.fc16.x86_64 (Fedora Project) 1313583271
:/usr/lib64/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.x86_64 (Fedora Project) 1313583306
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-1.fc16.x86_64 (Fedora Project) 1313583266
:/lib64/libasound.so.2.0.0 alsa-lib-1.0.24-2.fc15.x86_64 (Fedora Project) 1313583420
:/lib64/libdl-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1313583259
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-2.fc16.x86_64 (Fedora Project) 1313583271
:/lib64/libnsl-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1313583259
:/lib64/libc-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1313583259
:/lib64/librt-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1313583259
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1313583268
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1313583283
:/usr/bin/alsamixer alsa-utils-1.0.24.1-3.fc15.x86_64 (Fedora Project) 1313583867
:/lib64/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1313583264
:/usr/lib64/libmenuw.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1313583264
:/lib64/ld-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1313583259
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1313583538
:/usr/lib64/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc16.x86_64 (Fedora Project) 1313583306
:/usr/lib64/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.x86_64 (Fedora Project) 1313583288
:/usr/lib/locale/locale-archive glibc-common-2.14.90-4.x86_64 (Fedora Project) 1313583256
:/usr/lib64/libpulsecommon-0.9.23.so pulseaudio-libs-0.9.23-1.fc16.x86_64 (Fedora Project) 1313585832
:/lib64/libncursesw.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1313583264
:/usr/lib64/alsa-lib/libasound_module_ctl_pulse.so alsa-plugins-pulseaudio-1.0.24-2.fc15.x86_64 (Fedora Project) 1313583962
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc16.x86_64 (Fedora Project) 1313583541
:/lib64/libgcc_s-4.6.1-20110804.so.1 libgcc-4.6.1-7.fc16.x86_64 (Fedora Project) 1313585819

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=develbox.slim
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-rcD9tg/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=df9c1ac0cbdbfc70f08d47b000000018-1313586452.174827-1772746806
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=29360133
:GNOME_KEYRING_CONTROL=/tmp/keyring-rcD9tg
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=kramer
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-rcD9tg/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1249,unix/unix:/tmp/.ICE-unix/1249
:USERNAME=kramer
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/kramer/.local/bin:/home/kramer/bin
:MAIL=/var/spool/mail/kramer
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/kramer
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1244
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/kramer
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=kramer
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6o67UEFSmP,guid=6bb25893877e3911c32ab41a00000038
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/kramer
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-kramer-UfiGT1/database
:_=/usr/bin/alsamixer

maps:
:00400000-0040f000 r-xp 00000000 fd:02 1059950                            /usr/bin/alsamixer
:0060f000-00610000 rw-p 0000f000 fd:02 1059950                            /usr/bin/alsamixer
:00dc4000-00e00000 rw-p 00000000 00:00 0                                  [heap]
:7f76e8000000-7f76e8021000 rw-p 00000000 00:00 0 
:7f76e8021000-7f76ec000000 ---p 00000000 00:00 0 
:7f76ed5e1000-7f76ed5e2000 ---p 00000000 00:00 0 
:7f76ed5e2000-7f76edde2000 rw-p 00000000 00:00 0 
:7f76edde2000-7f76f1de3000 rw-s 00000000 00:11 21291                      /dev/shm/pulse-shm-3622272758
:7f76f1de3000-7f76f1dfa000 r-xp 00000000 fd:02 3014698                    /lib64/libresolv-2.14.90.so
:7f76f1dfa000-7f76f1ffa000 ---p 00017000 fd:02 3014698                    /lib64/libresolv-2.14.90.so
:7f76f1ffa000-7f76f1ffb000 r--p 00017000 fd:02 3014698                    /lib64/libresolv-2.14.90.so
:7f76f1ffb000-7f76f1ffc000 rw-p 00018000 fd:02 3014698                    /lib64/libresolv-2.14.90.so
:7f76f1ffc000-7f76f1ffe000 rw-p 00000000 00:00 0 
:7f76f1ffe000-7f76f2004000 r-xp 00000000 fd:02 1049956                    /usr/lib64/libogg.so.0.7.1
:7f76f2004000-7f76f2203000 ---p 00006000 fd:02 1049956                    /usr/lib64/libogg.so.0.7.1
:7f76f2203000-7f76f2204000 rw-p 00005000 fd:02 1049956                    /usr/lib64/libogg.so.0.7.1
:7f76f2204000-7f76f2230000 r-xp 00000000 fd:02 1050131                    /usr/lib64/libvorbis.so.0.4.5
:7f76f2230000-7f76f242f000 ---p 0002c000 fd:02 1050131                    /usr/lib64/libvorbis.so.0.4.5
:7f76f242f000-7f76f2430000 rw-p 0002b000 fd:02 1050131                    /usr/lib64/libvorbis.so.0.4.5
:7f76f2430000-7f76f26e3000 r-xp 00000000 fd:02 1050133                    /usr/lib64/libvorbisenc.so.2.0.8
:7f76f26e3000-7f76f28e2000 ---p 002b3000 fd:02 1050133                    /usr/lib64/libvorbisenc.so.2.0.8
:7f76f28e2000-7f76f28fe000 rw-p 002b2000 fd:02 1050133                    /usr/lib64/libvorbisenc.so.2.0.8
:7f76f28fe000-7f76f2937000 r-xp 00000000 fd:02 1051103                    /usr/lib64/libFLAC.so.8.2.0
:7f76f2937000-7f76f2b36000 ---p 00039000 fd:02 1051103                    /usr/lib64/libFLAC.so.8.2.0
:7f76f2b36000-7f76f2b38000 rw-p 00038000 fd:02 1051103                    /usr/lib64/libFLAC.so.8.2.0
:7f76f2b38000-7f76f2b4f000 r-xp 00000000 fd:02 3014680                    /lib64/libnsl-2.14.90.so
:7f76f2b4f000-7f76f2d4e000 ---p 00017000 fd:02 3014680                    /lib64/libnsl-2.14.90.so
:7f76f2d4e000-7f76f2d4f000 r--p 00016000 fd:02 3014680                    /lib64/libnsl-2.14.90.so
:7f76f2d4f000-7f76f2d50000 rw-p 00017000 fd:02 3014680                    /lib64/libnsl-2.14.90.so
:7f76f2d50000-7f76f2d52000 rw-p 00000000 00:00 0 
:7f76f2d52000-7f76f2d60000 r-xp 00000000 fd:02 1055276                    /usr/lib64/libXi.so.6.1.0
:7f76f2d60000-7f76f2f60000 ---p 0000e000 fd:02 1055276                    /usr/lib64/libXi.so.6.1.0
:7f76f2f60000-7f76f2f61000 rw-p 0000e000 fd:02 1055276                    /usr/lib64/libXi.so.6.1.0
:7f76f2f61000-7f76f2f72000 r-xp 00000000 fd:02 1055256                    /usr/lib64/libXext.so.6.4.0
:7f76f2f72000-7f76f3172000 ---p 00011000 fd:02 1055256                    /usr/lib64/libXext.so.6.4.0
:7f76f3172000-7f76f3173000 rw-p 00011000 fd:02 1055256                    /usr/lib64/libXext.so.6.4.0
:7f76f3173000-7f76f3177000 r-xp 00000000 fd:02 3014741                    /lib64/libuuid.so.1.3.0
:7f76f3177000-7f76f3376000 ---p 00004000 fd:02 3014741                    /lib64/libuuid.so.1.3.0
:7f76f3376000-7f76f3377000 r--p 00003000 fd:02 3014741                    /lib64/libuuid.so.1.3.0
:7f76f3377000-7f76f3378000 rw-p 00004000 fd:02 3014741                    /lib64/libuuid.so.1.3.0
:7f76f3378000-7f76f337a000 r-xp 00000000 fd:02 1050167                    /usr/lib64/libXau.so.6.0.0
:7f76f337a000-7f76f357a000 ---p 00002000 fd:02 1050167                    /usr/lib64/libXau.so.6.0.0
:7f76f357a000-7f76f357b000 rw-p 00002000 fd:02 1050167                    /usr/lib64/libXau.so.6.0.0
:7f76f357b000-7f76f35be000 r-xp 00000000 fd:02 3014718                    /lib64/libdbus-1.so.3.5.6
:7f76f35be000-7f76f37bd000 ---p 00043000 fd:02 3014718                    /lib64/libdbus-1.so.3.5.6
:7f76f37bd000-7f76f37bf000 rw-p 00042000 fd:02 3014718                    /lib64/libdbus-1.so.3.5.6
:7f76f37bf000-7f76f37c4000 r-xp 00000000 fd:02 1050284                    /usr/lib64/libasyncns.so.0.3.1
:7f76f37c4000-7f76f39c3000 ---p 00005000 fd:02 1050284                    /usr/lib64/libasyncns.so.0.3.1
:7f76f39c3000-7f76f39c4000 rw-p 00004000 fd:02 1050284                    /usr/lib64/libasyncns.so.0.3.1
:7f76f39c4000-7f76f3a24000 r-xp 00000000 fd:02 1051107                    /usr/lib64/libsndfile.so.1.0.25
:7f76f3a24000-7f76f3c24000 ---p 00060000 fd:02 1051107                    /usr/lib64/libsndfile.so.1.0.25
:7f76f3c24000-7f76f3c26000 r--p 00060000 fd:02 1051107                    /usr/lib64/libsndfile.so.1.0.25
:7f76f3c26000-7f76f3c27000 rw-p 00062000 fd:02 1051107                    /usr/lib64/libsndfile.so.1.0.25
:7f76f3c27000-7f76f3c2b000 rw-p 00000000 00:00 0 
:7f76f3c2b000-7f76f3c33000 r-xp 00000000 fd:02 3014739                    /lib64/libwrap.so.0.7.6
:7f76f3c33000-7f76f3e33000 ---p 00008000 fd:02 3014739                    /lib64/libwrap.so.0.7.6
:7f76f3e33000-7f76f3e34000 rw-p 00008000 fd:02 3014739                    /lib64/libwrap.so.0.7.6
:7f76f3e34000-7f76f3e35000 rw-p 00000000 00:00 0 
:7f76f3e35000-7f76f3e3a000 r-xp 00000000 fd:02 1055278                    /usr/lib64/libXtst.so.6.1.0
:7f76f3e3a000-7f76f403a000 ---p 00005000 fd:02 1055278                    /usr/lib64/libXtst.so.6.1.0
:7f76f403a000-7f76f403b000 rw-p 00005000 fd:02 1055278                    /usr/lib64/libXtst.so.6.1.0
:7f76f403b000-7f76f4052000 r-xp 00000000 fd:02 1049889                    /usr/lib64/libICE.so.6.3.0
:7f76f4052000-7f76f4251000 ---p 00017000 fd:02 1049889                    /usr/lib64/libICE.so.6.3.0
:7f76f4251000-7f76f4252000 rw-p 00016000 fd:02 1049889                    /usr/lib64/libICE.so.6.3.0
:7f76f4252000-7f76f4256000 rw-p 00000000 00:00 0 
:7f76f4256000-7f76f425d000 r-xp 00000000 fd:02 1049944                    /usr/lib64/libSM.so.6.0.1
:7f76f425d000-7f76f445c000 ---p 00007000 fd:02 1049944                    /usr/lib64/libSM.so.6.0.1
:7f76f445c000-7f76f445d000 rw-p 00006000 fd:02 1049944                    /usr/lib64/libSM.so.6.0.1
:7f76f445d000-7f76f4478000 r-xp 00000000 fd:02 1050211                    /usr/lib64/libxcb.so.1.1.0
:7f76f4478000-7f76f4677000 ---p 0001b000 fd:02 1050211                    /usr/lib64/libxcb.so.1.1.0
:7f76f4677000-7f76f4678000 rw-p 0001a000 fd:02 1050211                    /usr/lib64/libxcb.so.1.1.0
:7f76f4678000-7f76f47b1000 r-xp 00000000 fd:02 1055210                    /usr/lib64/libX11.so.6.3.0
:7f76f47b1000-7f76f49b0000 ---p 00139000 fd:02 1055210                    /usr/lib64/libX11.so.6.3.0
:7f76f49b0000-7f76f49b6000 rw-p 00138000 fd:02 1055210                    /usr/lib64/libX11.so.6.3.0
:7f76f49b6000-7f76f49b7000 r-xp 00000000 fd:02 1055208                    /usr/lib64/libX11-xcb.so.1.0.0
:7f76f49b7000-7f76f4bb6000 ---p 00001000 fd:02 1055208                    /usr/lib64/libX11-xcb.so.1.0.0
:7f76f4bb6000-7f76f4bb7000 rw-p 00000000 fd:02 1055208                    /usr/lib64/libX11-xcb.so.1.0.0
:7f76f4bb7000-7f76f4c05000 r-xp 00000000 fd:02 1067046                    /usr/lib64/libpulsecommon-0.9.23.so
:7f76f4c05000-7f76f4e04000 ---p 0004e000 fd:02 1067046                    /usr/lib64/libpulsecommon-0.9.23.so
:7f76f4e04000-7f76f4e05000 r--p 0004d000 fd:02 1067046                    /usr/lib64/libpulsecommon-0.9.23.so
:7f76f4e05000-7f76f4e07000 rw-p 0004e000 fd:02 1067046                    /usr/lib64/libpulsecommon-0.9.23.so
:7f76f4e07000-7f76f4e48000 r-xp 00000000 fd:02 1055281                    /usr/lib64/libpulse.so.0.12.4
:7f76f4e48000-7f76f5047000 ---p 00041000 fd:02 1055281                    /usr/lib64/libpulse.so.0.12.4
:7f76f5047000-7f76f5048000 r--p 00040000 fd:02 1055281                    /usr/lib64/libpulse.so.0.12.4
:7f76f5048000-7f76f5049000 rw-p 00041000 fd:02 1055281                    /usr/lib64/libpulse.so.0.12.4
:7f76f5049000-7f76f504e000 r-xp 00000000 fd:02 1061503                    /usr/lib64/alsa-lib/libasound_module_ctl_pulse.so
:7f76f504e000-7f76f524d000 ---p 00005000 fd:02 1061503                    /usr/lib64/alsa-lib/libasound_module_ctl_pulse.so
:7f76f524d000-7f76f524e000 rw-p 00004000 fd:02 1061503                    /usr/lib64/alsa-lib/libasound_module_ctl_pulse.so
:7f76f524e000-7f76fb671000 r--p 00000000 fd:02 1049776                    /usr/lib/locale/locale-archive
:7f76fb671000-7f76fb686000 r-xp 00000000 fd:02 3015139                    /lib64/libgcc_s-4.6.1-20110804.so.1
:7f76fb686000-7f76fb885000 ---p 00015000 fd:02 3015139                    /lib64/libgcc_s-4.6.1-20110804.so.1
:7f76fb885000-7f76fb886000 rw-p 00014000 fd:02 3015139                    /lib64/libgcc_s-4.6.1-20110804.so.1
:7f76fb886000-7f76fb88d000 r-xp 00000000 fd:02 3014700                    /lib64/librt-2.14.90.so
:7f76fb88d000-7f76fba8c000 ---p 00007000 fd:02 3014700                    /lib64/librt-2.14.90.so
:7f76fba8c000-7f76fba8d000 r--p 00006000 fd:02 3014700                    /lib64/librt-2.14.90.so
:7f76fba8d000-7f76fba8e000 rw-p 00007000 fd:02 3014700                    /lib64/librt-2.14.90.so
:7f76fba8e000-7f76fbc32000 r-xp 00000000 fd:02 3014670                    /lib64/libc-2.14.90.so
:7f76fbc32000-7f76fbe32000 ---p 001a4000 fd:02 3014670                    /lib64/libc-2.14.90.so
:7f76fbe32000-7f76fbe36000 r--p 001a4000 fd:02 3014670                    /lib64/libc-2.14.90.so
:7f76fbe36000-7f76fbe37000 rw-p 001a8000 fd:02 3014670                    /lib64/libc-2.14.90.so
:7f76fbe37000-7f76fbe3d000 rw-p 00000000 00:00 0 
:7f76fbe3d000-7f76fbe54000 r-xp 00000000 fd:02 3014696                    /lib64/libpthread-2.14.90.so
:7f76fbe54000-7f76fc053000 ---p 00017000 fd:02 3014696                    /lib64/libpthread-2.14.90.so
:7f76fc053000-7f76fc054000 r--p 00016000 fd:02 3014696                    /lib64/libpthread-2.14.90.so
:7f76fc054000-7f76fc055000 rw-p 00017000 fd:02 3014696                    /lib64/libpthread-2.14.90.so
:7f76fc055000-7f76fc059000 rw-p 00000000 00:00 0 
:7f76fc059000-7f76fc05b000 r-xp 00000000 fd:02 3014676                    /lib64/libdl-2.14.90.so
:7f76fc05b000-7f76fc25b000 ---p 00002000 fd:02 3014676                    /lib64/libdl-2.14.90.so
:7f76fc25b000-7f76fc25c000 r--p 00002000 fd:02 3014676                    /lib64/libdl-2.14.90.so
:7f76fc25c000-7f76fc25d000 rw-p 00003000 fd:02 3014676                    /lib64/libdl-2.14.90.so
:7f76fc25d000-7f76fc2e0000 r-xp 00000000 fd:02 3014678                    /lib64/libm-2.14.90.so
:7f76fc2e0000-7f76fc4df000 ---p 00083000 fd:02 3014678                    /lib64/libm-2.14.90.so
:7f76fc4df000-7f76fc4e0000 r--p 00082000 fd:02 3014678                    /lib64/libm-2.14.90.so
:7f76fc4e0000-7f76fc4e1000 rw-p 00083000 fd:02 3014678                    /lib64/libm-2.14.90.so
:7f76fc4e1000-7f76fc5cb000 r-xp 00000000 fd:02 3014886                    /lib64/libasound.so.2.0.0
:7f76fc5cb000-7f76fc7ca000 ---p 000ea000 fd:02 3014886                    /lib64/libasound.so.2.0.0
:7f76fc7ca000-7f76fc7d2000 rw-p 000e9000 fd:02 3014886                    /lib64/libasound.so.2.0.0
:7f76fc7d2000-7f76fc7f5000 r-xp 00000000 fd:02 3014714                    /lib64/libtinfo.so.5.9
:7f76fc7f5000-7f76fc9f4000 ---p 00023000 fd:02 3014714                    /lib64/libtinfo.so.5.9
:7f76fc9f4000-7f76fc9f8000 r--p 00022000 fd:02 3014714                    /lib64/libtinfo.so.5.9
:7f76fc9f8000-7f76fc9f9000 rw-p 00026000 fd:02 3014714                    /lib64/libtinfo.so.5.9
:7f76fc9f9000-7f76fca28000 r-xp 00000000 fd:02 3014712                    /lib64/libncursesw.so.5.9
:7f76fca28000-7f76fcc27000 ---p 0002f000 fd:02 3014712                    /lib64/libncursesw.so.5.9
:7f76fcc27000-7f76fcc28000 r--p 0002e000 fd:02 3014712                    /lib64/libncursesw.so.5.9
:7f76fcc28000-7f76fcc29000 rw-p 0002f000 fd:02 3014712                    /lib64/libncursesw.so.5.9
:7f76fcc29000-7f76fcc2c000 r-xp 00000000 fd:02 1049787                    /usr/lib64/libpanelw.so.5.9
:7f76fcc2c000-7f76fce2b000 ---p 00003000 fd:02 1049787                    /usr/lib64/libpanelw.so.5.9
:7f76fce2b000-7f76fce2c000 r--p 00002000 fd:02 1049787                    /usr/lib64/libpanelw.so.5.9
:7f76fce2c000-7f76fce2d000 rw-p 00003000 fd:02 1049787                    /usr/lib64/libpanelw.so.5.9
:7f76fce2d000-7f76fce34000 r-xp 00000000 fd:02 1049783                    /usr/lib64/libmenuw.so.5.9
:7f76fce34000-7f76fd033000 ---p 00007000 fd:02 1049783                    /usr/lib64/libmenuw.so.5.9
:7f76fd033000-7f76fd034000 r--p 00006000 fd:02 1049783                    /usr/lib64/libmenuw.so.5.9
:7f76fd034000-7f76fd035000 rw-p 00007000 fd:02 1049783                    /usr/lib64/libmenuw.so.5.9
:7f76fd035000-7f76fd044000 r-xp 00000000 fd:02 1049779                    /usr/lib64/libformw.so.5.9
:7f76fd044000-7f76fd243000 ---p 0000f000 fd:02 1049779                    /usr/lib64/libformw.so.5.9
:7f76fd243000-7f76fd244000 r--p 0000e000 fd:02 1049779                    /usr/lib64/libformw.so.5.9
:7f76fd244000-7f76fd245000 rw-p 0000f000 fd:02 1049779                    /usr/lib64/libformw.so.5.9
:7f76fd245000-7f76fd266000 r-xp 00000000 fd:02 3014663                    /lib64/ld-2.14.90.so
:7f76fd44c000-7f76fd453000 rw-p 00000000 00:00 0 
:7f76fd45e000-7f76fd465000 r--s 00000000 fd:02 1049775                    /usr/lib64/gconv/gconv-modules.cache
:7f76fd465000-7f76fd466000 rw-p 00000000 00:00 0 
:7f76fd466000-7f76fd467000 r--p 00021000 fd:02 3014663                    /lib64/ld-2.14.90.so
:7f76fd467000-7f76fd468000 rw-p 00022000 fd:02 3014663                    /lib64/ld-2.14.90.so
:7f76fd468000-7f76fd469000 rw-p 00000000 00:00 0 
:7fff5c3ba000-7fff5c3db000 rw-p 00000000 00:00 0                          [stack]
:7fff5c3ff000-7fff5c400000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Aug 17 14:52:00 develbox kernel: [  190.499375] alsamixer[1811] general protection ip:7f12da8c667d sp:7fff79f3a710 error:0 in libasound.so.2.0.0[7f12da87f000+ea000]
:Aug 17 14:52:01 develbox abrt[1813]: saved core dump of pid 1811 (/usr/bin/alsamixer) to /var/spool/abrt/ccpp-2011-08-17-14:52:01-1811.new/coredump (9588736 bytes)
:Aug 17 15:04:02 develbox kernel: [  911.798232] alsamixer[12045] general protection ip:7f770f33667d sp:7fff2cbd5c90 error:0 in libasound.so.2.0.0[7f770f2ef000+ea000]
:Aug 17 15:04:02 develbox abrt[12056]: saved core dump of pid 12045 (/usr/bin/alsamixer) to /var/spool/abrt/ccpp-2011-08-17-15:04:02-12045.new/coredump (9584640 bytes)
:Aug 17 15:12:49 develbox kernel: [  374.049229] alsamixer[1674] general protection ip:7f0092d7667d sp:7fff445e8f10 error:0 in libasound.so.2.0.0[7f0092d2f000+ea000]
:Aug 17 15:12:49 develbox abrt[1676]: saved core dump of pid 1674 (/usr/bin/alsamixer) to /var/spool/abrt/ccpp-2011-08-17-15:12:49-1674.new/coredump (9584640 bytes)
:Aug 17 15:16:05 develbox kernel: [  569.488492] alsamixer[1799] general protection ip:7f76fc52867d sp:7fff5c3d9cc0 error:0 in libasound.so.2.0.0[7f76fc4e1000+ea000]
:Aug 17 15:16:05 develbox abrt[1801]: saved core dump of pid 1799 (/usr/bin/alsamixer) to /var/spool/abrt/ccpp-2011-08-17-15:16:05-1799.new/coredump (9584640 bytes)

Comment 1 Jurgen Kramer 2011-08-17 13:23:11 UTC
same bug as my bug #731277.

Comment 2 Jurgen Kramer 2011-08-24 10:08:48 UTC
This still happens with F16 alpha and also happens on a different machine in a VM.

Comment 3 Jurgen Kramer 2011-08-26 11:19:01 UTC
reinstalling pulseaudio 'fixes' the problem. I will keep this bug open to see if this is fixed in beta.

Comment 4 Michael Schwendt 2011-09-09 22:33:18 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Ran alsamixer out of curiosity during a period of audio output gone lost and the gnome-shell based tools not having helped either. After a reboot, reproducibly:

$ alsamixer
Segmentation fault (core dumped)

Comment 5 igor.redhat@gmail.com 2011-09-27 03:10:56 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
This seems to happen every time I run alsamixer.

Comment 6 igor.redhat@gmail.com 2011-09-27 03:56:50 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
happens when running alsamixer with no params (alsamixer -c 0 works fine)

Comment 7 thenavi 2011-10-06 13:51:05 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I ran it into the console and got  segmentation fault

Comment 8 Vlad M 2011-10-06 15:33:29 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
alsamixer issues

Comment 9 Vlad M 2011-10-06 19:33:50 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
when try to open alsamixer

Comment 10 Glenn Johnson 2011-10-10 09:00:26 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Simply opened a terminal and typed "alsamixer". Crashed with core dump.

Comment 11 Martin Sjöstrand 2011-10-11 08:02:46 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Open alsamixer from the terminal

Comment 12 Andrei Gaponenko 2011-10-11 18:22:47 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Ran alsamixer from the command line with no arguments.   It's a clean install of Fedora 16 beta.

Comment 13 Richard Marko 2011-10-12 16:44:45 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Running alsamixer

Comment 14 Kevin Morey 2011-10-17 01:39:09 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
ran alsamixer as normal user

Comment 15 DIA Sammy 2011-10-19 17:14:37 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Just launch alsamixer in console (root or user)

Comment 16 Martin Kho 2011-10-22 14:49:52 UTC
Hi,

For me, when running alsamixer in a text console (Ctrl+Alt-F[2,3,4,5, ...]) the program doesn't segfault. It does when run in Konsole (KDE) or Gnome Terminal.

Eric Bartoš [1] found that alsamixer -c <card number> also didn't crash.


Martin Kho


[1] Bug 725749, comment #8.

Comment 17 axellira 2011-10-24 13:23:01 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Alsamixer segfaults upon running. The sound card is working fine, it's an ATI SBx00 Azalia onboard a Biostar A770E3 motherboard; amizer works fine, too.

Comment 18 Oscar Bacho 2011-10-27 15:07:31 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I tried to ejecute the program alsamixer

Comment 19 Pavel Alexeev 2011-10-28 06:20:20 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Just start.

Comment 20 Sven Lankes 2011-10-28 19:08:29 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I ran alsamixer in a terminal.

Comment 21 Jurgen Kramer 2011-11-01 16:43:47 UTC
I am wondering why this has not been picked up? We're at RC3 now and it is still broken.

Comment 22 Jaroslav Kysela 2011-11-01 18:39:36 UTC
*** Bug 725749 has been marked as a duplicate of this bug. ***

Comment 23 Rex Dieter 2011-11-01 19:44:30 UTC
*** Bug 739030 has been marked as a duplicate of this bug. ***

Comment 24 Jaroslav Kysela 2011-11-02 12:19:11 UTC
It appears like a memory corruption somewhere in the PulseAudio layer (in combination with X).

According gdb, the mixer structure in alsalib - snd_mixer_attach() - gets broken after the snd_hctl_open() call with the "default" device name (this devices is redirected to the alsa pulse audio plugin by default).

Hardware watchpoint on the mixer structure shows:

#0  _int_free (av=0x3a885ae700, p=0x612ff0, have_lock=0) at malloc.c:4008
#1  0x0000003a89647e7a in snd_mixer_close (mixer=0x613000) at mixer.c:622
#2  0x000000000040967a in ?? ()
#3  0x0000003a8ca087e6 in xcb_disconnect (c=0x62d1b0) at xcb_conn.c:257
#4  0x0000003aa0c3200c in pa_client_conf_from_x11 (c=0x62cdc0,
    dname=<optimized out>) at pulse/client-conf-x11.c:114
#5  0x0000003aa0c0d849 in pa_context_new_with_proplist (mainloop=0x62b9e8,
    name=<optimized out>, p=<optimized out>) at pulse/context.c:182
#6  0x00007ffff19bf79c in pulse_new () at pulse.c:151
#7  0x00007ffff19bef80 in _snd_ctl_pulse_open (handlep=0x7fffffffe0a8,
    name=0x40ad3c "default", root=<optimized out>, conf=<optimized out>,
    mode=0) at ctl_pulse.c:698
#8  0x0000003a8963db68 in snd_ctl_open_conf (mode=0, ctl_conf=0x622d10,
    ctl_root=0x6131e0, name=0x40ad3c "default", ctlp=0x7fffffffe0a8)
    at control.c:858
#9  snd_ctl_open_noupdate (ctlp=0x7fffffffe0a8, root=0x6131e0,
    name=0x40ad3c "default", mode=0) at control.c:885
#10 0x0000003a8963c42b in snd_hctl_open (hctlp=0x7fffffffe0d8, 
    name=<optimized out>, mode=<optimized out>) at hcontrol.c:75
#11 0x0000003a896476fd in snd_mixer_attach (mixer=0x613000, 
    name=<optimized out>) at mixer.c:203

It appears that PA tries to do something with X in a terminal mode session causing that the mixer device is closed in the initialization.

Comment 25 Jaroslav Kysela 2011-11-02 12:24:12 UTC
Reassigning to PA to get better clue..

Comment 26 Jaroslav Kysela 2011-11-02 16:10:55 UTC
Debugging further: It seems that there is some linking clash between shutdown() function from <sys/socket.h> and shutdown() function in the alsamixer code. The shutdown() function for socked is called from xcb_disconnect(). Reassigning back to me.

Comment 27 Jaroslav Kysela 2011-11-02 16:36:03 UTC
Here is the patch which solves this issue with comments. It works in my environment. I will prepare new alsa-utils package for F15 and F16.

http://git.alsa-project.org/?p=alsa-utils.git;a=commitdiff;h=4c09aaa5c13c2260fea57a89c47f88252da8a692

Comment 28 Jaroslav Kysela 2011-11-02 16:38:14 UTC
*** Bug 743268 has been marked as a duplicate of this bug. ***

Comment 29 Jaroslav Kysela 2011-11-02 16:38:45 UTC
*** Bug 692278 has been marked as a duplicate of this bug. ***

Comment 30 Jaroslav Kysela 2011-11-02 16:39:07 UTC
*** Bug 719712 has been marked as a duplicate of this bug. ***

Comment 31 Jaroslav Kysela 2011-11-02 16:40:00 UTC
*** Bug 748084 has been marked as a duplicate of this bug. ***

Comment 32 Fedora Update System 2011-11-02 19:47:59 UTC
alsa-utils-1.0.24.1-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/alsa-utils-1.0.24.1-5.fc16

Comment 33 Fedora Update System 2011-11-02 19:52:04 UTC
alsa-utils-1.0.24.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/alsa-utils-1.0.24.1-5.fc15

Comment 34 Jaroslav Kysela 2011-11-02 20:03:18 UTC
Please test and increase karma!!

Comment 35 Martin Kho 2011-11-02 20:46:46 UTC
Hi,

24.1-5.fc16 works for me.

Thanks,

Martin Kho

Comment 36 Pavel Alexeev 2011-11-03 06:49:11 UTC
Forks for me too. Thank you.

Comment 37 Misha Shnurapet 2011-11-03 16:07:12 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----

Comment 38 Jurgen Kramer 2011-11-03 16:25:01 UTC
Yep, alsa-utils-1.0.24.1-5 fixes the segfault problem (tested on F16 x86_64). Thanks.

Comment 39 Andreas Tunek 2011-11-04 20:03:38 UTC
Package: alsa-utils-1.0.24.1-3.fc15
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
ran alsamixer from command line

Comment 40 Fedora Update System 2011-11-04 20:27:40 UTC
Package alsa-utils-1.0.24.1-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alsa-utils-1.0.24.1-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15390
then log in and leave karma (feedback).

Comment 41 Fedora Update System 2011-11-05 01:23:39 UTC
alsa-utils-1.0.24.1-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 42 Fedora Update System 2011-11-17 23:40:00 UTC
alsa-utils-1.0.24.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 43 Raymond Rodgers 2011-11-18 00:22:12 UTC
Under the released version of Fedora 16 on the Asus Sabertooth 990FX motherboard, I get no sound at all. The Sound settings panel shows no hardware. It's a fresh install, alsamixer doesn't crash when running from terminal, but yields:

ALSA lib pulse.c:229:(pulse_connect) PulseAudio: Unable to connect: Connection refused

cannot open mixer: Connection refused

I've reinstalled pulseaudio but sound still isn't working.

Comment 44 Sven Lankes 2011-11-18 08:00:42 UTC
(In reply to comment #43)

> Under the released version of Fedora 16 on the Asus Sabertooth 990FX
> motherboard, I get no sound at all.

Please don't just add new issues to unrelated bugs. This bug is about
alsamixer crashing on startup.

Please consult:

http://fedoraproject.org/wiki/How_to_debug_sound_problems

and file a new bug if necessary.

Thanks.

Comment 45 Michael Shigorin 2012-03-07 10:04:28 UTC
(In reply to comment #27)
> Here is the patch which solves this issue with comments. It works
...for me too, applied to alsa-utils-1.0.24.2-alt2 (ALT Linux), thank you.


Note You need to log in before you can comment on or make changes to this bug.